Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Meshsmooth not accepting selection in AutoCAD 2012 Lisp program

1 REPLY 1
Reply
Message 1 of 2
dthunes
1319 Views, 1 Reply

Meshsmooth not accepting selection in AutoCAD 2012 Lisp program

I am running AutoCAD 2012 and wanted to use a lisp program I wrote in 2011 to convert polyface meshes into 3D solids. My code correctly selects the polyface mesh objects and runs the meshsmooth command, but the mesh is not being converted. I can manually convert the mesh, but the lisp will not do it for me. The specific line of code I am having trouble with is as follows:

 

(command "_MESHSMOOTH" (ssget "_X" '((0 . "POLYLINE"))) "")

 

AutoCAD's command line output looks correct:

 

Command: (command "_MESHSMOOTH" (ssget "_X" '((0 . "POLYLINE"))) "")
_MESHSMOOTH
Select objects to convert:   1 found
Select objects to convert:
Command: nil

 

If I take out the last set of double quotes (shown below) and confirm the selection manually, it also works.

 

(command "_MESHSMOOTH" (ssget "_X" '((0 . "POLYLINE"))))

 

Can anyone duplicate my error on their machine? I have provided a polyface mesh sample

1 REPLY 1
Message 2 of 2
craigdunningham
in reply to: dthunes

disable the dialogue box 

filedia 0

cmddia 0

 

then simply write 

 

_meshsmooth all

 

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost